Bug 875871 - enable QEMU nbd block driver
enable QEMU nbd block driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-12 12:54 EST by Paolo Bonzini
Modified: 2014-08-25 08:07 EDT (History)
14 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.0-2.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:27:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2012-11-12 12:54:32 EST
The NBD block driver is necessary to support the new scheme for migration with non-shared storage.  Also, we're supporting almost all of the code in qemu-nbd (via the monitor), so we probably should enable it as well.
Comment 5 Daniel Berrange 2013-02-11 10:15:34 EST
FYI from a libvirt POV we will be needing the NBD driver in the future to support use of qcow2 disk images with LXC guests. Upstream LKML have indicated that they consider NBD to be the FUSE equivalent for the block layer, so qemu-nbd + NBD kmod are the only way for use to get QCow2 support for LXC, unless someone fancies extending the Loopback driver to support qcow2.

OpenStack already uses NBD kernel driver + qemu-img for support LXC + qcow2 disk. Though we don't intend to officially support LXC with OpenStack in RHEL, it would still be useful if the kmod existed, so people can use RHEL as a viable dev platform for OpenStack.
Comment 7 Paolo Bonzini 2013-02-14 07:43:25 EST
> Paolo, there's no qemu configure option to enable nbd.

There is:

--block-drv-whitelist=qcow2,raw,file,host_device,host_cdrom,qed

we need to add "nbd" here.

> However, you mentioned it's better not to enable qemu-nbd so I guess we 
> shouldn't do anything about this yet.

I think we're enabling qemu-nbd in RHEL6, so we'll have to enable it in RHEL7.
Separate problem.
Comment 11 Miroslav Rezanina 2013-05-24 06:20:42 EDT
Fixed in qemu-kvm-1.5.0-2.el7
Comment 31 Shaolong Hu 2014-01-22 00:27:30 EST
Verified on qemu-kvm-rhev-1.5.3-39.el7.x86_64:


qemu-nbd -t -p 10000 RHEL-Server-7.0-64-virtio.raw

><fs> run
 100% ⟦▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒⟧ 00:00
><fs> list-filesystems
/dev/sda1: xfs
/dev/rhel/root: xfs
/dev/rhel/swap: swap
><fs> mount /dev/rhel/root /
><fs> ls /
bin
boot
dev
etc
home
lib
lib64
media
mnt
opt
proc
root
run
sbin
srv
sys
tmp
usr
var
><fs> ls /
bin
boot
dev
etc
home
lib
lib64
media
mnt
opt
proc
root
run
sbin
srv
sys
tmp
usr
var
><fs> cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.0 Beta (Maipo)
Comment 32 juzhang 2014-01-22 03:26:18 EST
Besides comment31, KVM QE ran several run storage vm migration by using nbd.
Comment 33 Ludek Smid 2014-06-13 07:27:35 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.
Comment 35 Ari Lemmke 2014-08-25 03:46:42 EDT
RHEL6 is THE current release till 2020-11-30 (until EOL).

RHEL6 != RHEL7.

You should remove the possibility to close RHEL6 bugs/feature request by using RHEL7 as "current release". If unimplementable then use "no can do".

//arl            (Ari Lemmke)
Comment 36 Ludek Smid 2014-08-25 08:07:23 EDT
(In reply to Ari Lemmke from comment #35)
> RHEL6 is THE current release till 2020-11-30 (until EOL).
> RHEL6 != RHEL7.
Red Hat supports multiple RHEL versions at the same time. See https://access.redhat.com/support/policy/updates/errata/ for detailed description of of RHEL Life Cycle and list of actively supported versions.

> You should remove the possibility to close RHEL6 bugs/feature request by
> using RHEL7 as "current release". If unimplementable then use "no can do".
Note that this bug was originally filed for RHEL 7.0 (see history). Because of it was resolved in RHEL 7.0 (see comment #31), the bug was CLOSED CURRENTRELEASE. If there is any issue with this feature contact your support representative, please.

Note You need to log in before you can comment on or make changes to this bug.